Bug 86925 - [GTK] REGRESSION(r116135): Keys that confirm composition trigger a default action
Summary: [GTK] REGRESSION(r116135): Keys that confirm composition trigger a default ac...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-05-18 16:52 PDT by Martin Robinson
Modified: 2012-05-22 11:36 PDT (History)
1 user (show)

See Also:


Attachments
Patch (10.35 KB, patch)
2012-05-19 10:20 PDT, Martin Robinson
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2012-05-18 16:52:16 PDT
When completing a composition with a key press it triggers the default action. An example of this is finish a compose sequence with space bar causing the page to scroll.
Comment 1 Martin Robinson 2012-05-19 10:20:16 PDT
Created attachment 142873 [details]
Patch
Comment 2 Gustavo Noronha (kov) 2012-05-21 12:17:33 PDT
Comment on attachment 142873 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=142873&action=review

Thanks =)

> Source/WebCore/ChangeLog:13
> +        * platform/gtk/CompositionResults.h: Instead of holding composition results, just hold
> +        hold a flag describing whether or not this event had results.

too much hold

> Source/WebKit/gtk/WebCoreSupport/WebViewInputMethodFilter.cpp:63
> +    PlatformKeyboardEvent platformEvent(event, CompositionResults(CompositionResults::WillSendCompositionResultsSoon));

Nice trick to make the code more readable =)
Comment 3 Martin Robinson 2012-05-22 11:36:44 PDT
Committed r118010: <http://trac.webkit.org/changeset/118010>